<?php

/**
 * @file
 * Contains \Drupal\couchbasedrupal\Cache\CouchbaseFileCacheBackend.
 */

namespace Drupal\couchbasedrupal\Cache;

use Drupal\Component\FileCache\FileCache;
use Drupal\Component\FileCache\FileCacheBackendInterface;

/**
 * Couchbase backend for the file cache.
 */
class CouchbaseFileCacheBackend implements FileCacheBackendInterface {

  /**
   * {@inheritdoc}
   */
  public function fetch(array $cids) {
    return wincache_ucache_get($cids);
  }

  /**
   * {@inheritdoc}
   */
  public function store($cid, $data) {
    wincache_ucache_set($cid, $data);
  }

  /**
   * {@inheritdoc}
   */
  public function delete($cid) {
    wincache_ucache_delete($cid);
  }

}
